# webpack-dynamic-script-loader

a loader for runtime dynamic script.
 
## usage

```js
let config = {
module: {
   rules: [
      {
      	test: /\.dynamic.js/,
      	enforce: 'pre',
      	loaders: ['@sliv/webpack-dynamic-script-loader']
      }        
   ]        
}
}
```

```js
// time.dynamic.js
// notice the require is webpack's require not node's
// use req if you need to access nodeRequire
module.exports = (req) => {
	let os = req('os')
	let runtimeScript = `module.exports = "this machine have ${os.cpus().length} cpu"`
	return runtimeScript
}
```